using mseedChart.Core;
using mseedChart.Main.ViewModels;
using mseedChart.Main.Views;
using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

namespace mseedChart.Main
{
    public class MainModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            var regionManager = containerProvider.Resolve<IRegionManager>();
            regionManager.RegisterViewWithRegion(RegionNames.ContentRegion, typeof(ViewA));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.Register<ViewA>();
            containerRegistry.RegisterSingleton<ChartPlotViewModel>();

        }
    }
}